using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PhilExample.UI.Pages;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace PhilExample
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class AppShell : Xamarin.Forms.Shell
    {
        public AppShell()
        {
            InitializeComponent();

            //Popups
            Routing.RegisterRoute(nameof(AddCrawlSessionPage), typeof(AddCrawlSessionPage));
            Routing.RegisterRoute(nameof(SelectCategoryPage), typeof(SelectCategoryPage));
            Routing.RegisterRoute(nameof(SelectRadiusPage), typeof(SelectRadiusPage));
        }
    }
}